Skip to content

PAN Authentication

| View as Markdown

This api is for authentication of PAN Number. We have to pass pan number,name and dob in request and it will give us success response if the pan card number is valid

https://kraken.airpay.co.in/airpay/ms/baas/api/pan-verification
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
liveTextFor live data pass Y or leave it blank
FieldTypeRequiredDescription
panTextYesPAN number of the customer (length 11)
nameTextYesName of the customer (length 50)
dobTextYesDate of birth of the customer in d-m-Y format (length 10)
fathernameTextNoFather’s name of the customer (length 50)
curl --location --request POST https://kraken.airpay.co.in/airpay/ms/baas/api/pan-verification' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'live: Y' \
--header 'Content-Type: application/json' \
--data-raw '{
"pan": "BPTPJ4887P",
"name":"KRISHNAKUMAR",
"dob":"26/05/2002",
"fathername":""
}'
FieldTypeDescription
statusNumeric400- fail,200-success(length 3, required)
messagetextsuccess, fail
dataText{ “name”: “Y”,“Aadhaar Seeding”: “Aadhaar Seeding is successful”,“Pan Status”: “Existing and Valid”,“DOB”: “Y”}
{
"status": "200",
"message": "success",
"data": {
"name": "Y",
"Aadhaar Seeding": "Aadhaar Seeding is successful",
"Pan Status": "Existing and Valid",
"DOB": "Y"
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}